//==============================================================================================================================================
// ПЕРЕМЕННЫЕ МОДУЛЯ
//==============================================================================================================================================

//==============================================================================================================================================
// ОБРАБОТЧИКИ СОБЫТИЙ ОБЪЕКТА
//==============================================================================================================================================

Процедура ПередЗаписью(Отказ)
	
	Если ЗначениеЗаполнено(Родитель) Тогда
		
		МассивКодов = СтрРазделить(ПолныйКод(), "/");
		Если МассивКодов.Количество() > 0 Тогда
			ВидВерхнегоУровня = Справочники.ВидыДоходовРасходов.НайтиПоКоду(МассивКодов[0], , Справочники.ВидыДоходовРасходов.ПустаяСсылка());
		КонецЕсли;
		
	КонецЕсли;
	
КонецПроцедуры // ПередЗаписью()

//==============================================================================================================================================
// ЭКСПОРТНЫЕ ПРОЦЕДУРЫ И ФУНКЦИИ ОБЪЕКТА
//==============================================================================================================================================

//==============================================================================================================================================
// СЕРВЕРНЫЕ ПРОЦЕДУРЫ И ФУНКЦИИ ОБЩЕГО НАЗНАЧЕНИЯ
//==============================================================================================================================================

//==============================================================================================================================================
// ОПЕРАТОРЫ ОСНОВНОЙ ПРОГРАММЫ
//==============================================================================================================================================

